package com.izouma.nineth.service;

import com.izouma.nineth.annotations.Debounce;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

@Service
@Slf4j
public class DebounceTestService {

    @Debounce(key = "#name", delay = 200)
    public void testDebounce(String name, String data) {
        log.info("running debounce method:{} {}", name, data);
    }
}
